<template lang="html">
    <div class="home-page">
        <div class="nav-bar">
            <div class="ui-button__container">
                <ui-button v-for="(title, key) in titles__left"
                :key="key"
                :title="title"
                :class="title.buttonClass"
                :nameModal="title.nameModal"
                ></ui-button>
            </div>
            <ui-signin-modal></ui-signin-modal>
            <ui-signup-modal></ui-signup-modal>
            <ui-account></ui-account>
            <div class="ui-button__container">
                <ui-button v-for="(title, key) in titles__right"
                :key="key"
                :title="title"
                :class="title.buttonClass"
                :nameModal="title.nameModal"
                @click="show"
                ></ui-button>
                <ui-button
                v-if="show"
                ></ui-button>
            </div>
        </div>
        <div class="chests-box">
            <div   class="chests-block">
                <router-link to='/table' class="router-link-table">
                    <ui-chest v-for="(gameName, key) in chestBoxes"
                  :key="key"
                  :class="gameName.className"
                  :titleBold="gameName.titleBold"
                  :imgChestDefault="gameName.imgChestDefault"
                  :chestClass="gameName.chestClass"
                  :imgChestHover="gameName.imgChestHover"
                  :imgChestOnClick="gameName.imgChestOnClick"
                  :title="gameName.title"
                  :deg="gameName.deg"
                  :ref="gameName.ref"
                  @mouseover="rotate"
                  @mouseleave="rotateBack"
                  ></ui-chest>
                </router-link>
            </div>
            <div  class="skeleton-block">
                <img
                src="../assets/img/home/skelet-arrow.svg" alt="#"
                ref='skelet'
                :deg="56"
                >
              </div>
        </div>
    </div>
</template>

<script>


import imgChestDefault from "../assets/img/home/chest-img-default.png"
import imgChestLight from "../assets/img/home/chest-img-default.png"
import imgChestStandart from "../assets/img/home/chest-img-default.png"
import imgChestCrazy from "../assets/img/home/chest-img-default.png"
// import imgChestHover from "../assets/img/home/chest-img-default.png"
// import imgChestOnClick from "../assets/img/home/chest-img-default.png"

export default {
    props: ['title'],
    methods: {
      rotate(deg){
          this.$refs.skelet.style.transform="rotate(" + deg + "deg)";
          this.$refs.skelet.style.transition = "all .8s ease";
       },
       rotateBack () {
         this.$refs.skelet.style.transform="rotate(0deg)";
       }
    },
    data () {
        return {
            show: true,
            titles__left: [
                {
                    title: 'Вход',
                    buttonClass: "sign-in",
                    nameModal: 'signin-modal'
                },
                {
                    title: 'Регистрация',
                    buttonClass: "sign-up",
                    nameModal: 'signup-modal'
                }
            ],
            titles__right: [
                {
                    title: 'Кабинет',
                    buttonClass: "account",
                    nameModal: 'account-modal'
                },
                {
                    title: 'Rus',
                    titleENG: 'Eng',
                    buttonClass: "lang",
                    nameModal: 'lang'
                }
            ],
            chestBoxes: [
                {
                    imgChestDefault: imgChestDefault,
                    imgChestHover: imgChestDefault,
                    ref: 'Demo',
                    title: 'Game',
                    titleBold: 'Demo',
                    className: 'game-demo',
                    deg: -60
                },
                {
                    imgChestDefault: imgChestLight,
                    ref: 'Light',
                    title: 'Game',
                    titleBold: 'Light',
                    className: 'game-light',
                    deg: -30
                },
                {
                    imgChestDefault: imgChestStandart,
                    ref: 'Standart',
                    title: 'Game',
                    titleBold: 'Standart',
                    className: 'game-standart',
                    deg: 30
                },
                {
                    imgChestDefault: imgChestCrazy,
                    ref: 'Crazy',
                    title: 'Game',
                    titleBold: 'Crazy',
                    className: 'game-crazy',
                    deg: 60
                }
            ]
        }
    }
}
</script>

<style type="text/css" lang="scss" scoped>
    .router-link-table {
      color: black;

      width: 100%;
      height: 100%;

      display: flex;
      justify-content: space-evenly;

      text-decoration: none;
    }
    .game-light {
      .img-chest-default:hover {
        background-image: url(../assets/img/home/chest-img-light.svg);
      }
    }
    .home-page {
        position: fixed;
        height: 100%;
        width: 100%;

        background-position: top center;
        background-size: cover;
        background-image: url(../assets/img/home/bg-mainpage.png);

        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding-top: 20px;

        .nav-bar {
            display: flex;
            justify-content: space-between;

            padding: 0 125px 0 125px;
            .ui-button__container {
                display: flex;
            }

        }
        .chests-block {
            display: flex;
            justify-content: space-evenly;


            margin-bottom: 165px;
            align-items: center;

            a {
              display: flex;
              justify-content: space-between;
              padding: 0 342px 0 335px;
            }

            .game-light,
            .game-standart {
                margin-top: -98px;
            }
            .game-demo,
            .game-light,
            .game-crazy,
            .game-standart {
              display: flex;
              flex-direction: column;
              align-items: center;
            }
        }
        .skeleton-block {
            transition: .3s all ease;
            text-align: center;

            position: relative;
            div {
              display: flex;
              flex-direction: column;
              align-items: center;
            }
            img {
              width: 145px;

              position: absolute;
              top: -260px;
              left: -80px;
              right: 0px;
              bottom: 0px;
              transform: rotate(0deg);
              transition: all 0.8s ease 0s;
              margin: 0 auto;
            }
        }
    }

</style>
